SUMO
Simulation of Urban MObility

- Home
- Download
- Documentation
- Wiki
- Trac
- Blog
- Contact
- SF-Project

# Simulation/Output/Lanearea Detectors (E2)

## Instantiating within the Simulation

A lane area detector is defined the following way within an additional file:

<laneAreaDetector id="<ID>" lane="<LANE_ID>" pos="<POSITION_ON_LANE>" length="<DETECTOR_LENGTH>" freq="<AGGREGATION_TIME>" file="<OUTPUT_FILE>" [cont="<BOOL>"] [timeThreshold="<FLOAT>"] [speedThreshold="<FLOAT>"] [jamThreshold="<FLOAT>"] [friendlyPos="x"]/>

Most of the attributes have the same meaning as for induction loops. As an areal detector has a certain length, "length" must be supplied as a further parameter. It may be a negative number which lets the detector be extended upstream to the given beginning position. The optional parameter "cont" let's the detector continue over the current lane onto this lane's predecessors when the detector's length plus his position is larger than the place available on the lane.

The attributes:

Attribute Name | Value Type | Description
--- | --- | ---
id | id (string) | A string holding the id of the detector
lane | referenced lane id | The id of the lane the detector shall be laid on. The lane must be a part of the network used.
pos | float | The position on the lane the detector shall be laid on in meters. See information about the same attribute within the detector loop description for further information.
length | float | The length of the detector in meters. If the detector grows over the lane's end (begin in fact), it is either cut off at the lane's length if the "cont"-attribute is false or not given or is continued on the predeceding lanes in the case the "cont"-attribute is set to true.
freq | int | The aggregation period the values the detector collects shall be summed up.
file | filename | The path to the output file. The path may be relative.
cont | bool | Holds the information whether detectors longer than a lane shall be cut off or continued (set it to true for the second case); default: false (detector lies on one lane only).
timeThreshold | int | The time-based threshold that describes how much time has to pass until a vehicle is recognized as halting; in s, default: 1s.
speedThreshold | float | The speed-based threshold that describes how slow a vehicle has to be to be recognized as halting; in m/s, default: 5/3.6m/s.
jamThreshold | float | The minimum distance to the next standing vehicle in order to make this vehicle count as a participant to the jam; in m, default: 10m.
friendlyPos | bool | If set, no error will be reported if the detector is placed behind the lane. Instead, the detector will be placed 0.1 meters from the lane's end or at position 0.1, if the position was negative and larger than the lane's length after multiplication with -1; default: false.

## Generated Output

A single data line within the output of a simulated lane area detector looks as following (the line is not broken within the output): <interval begin="<BEGIN_TIME>" end="<END_TIME>" id="<DETECTOR_ID>" nSamples="<DATA_SAMPLES>" meanSpeed="<MEAN_SPEED>" meanOccupancy="<MEAN_OCCUPANCY>" maxOccupancy="<MAX_OCCUPANCY>" meanMaxJamLengthInVehicles="<VAL>" meanMaxJamLengthInMeters="<VAL>" maxJamLengthInVehicles="<VAL>" maxJamLengthInMeters="<VAL>" jamLengthInVehiclesSum="<VAL>" jamLengthInMetersSum="<VAL>" meanHaltingDuration="<VAL>" maxHaltingDuration="<VAL>" haltingDurationSum="<VAL>" meanIntervalHaltingDuration="<VAL>" maxIntervalHaltingDuration="<VAL>" intervalHaltingDurationSum="<VAL>" startedHalts="<VAL>" meanVehicleNumber="<VAL>" maxVehicleNumber="<VAL>" />

To explain this vast amount of measures, a short note about how a lane area detector works is needfull. A lane area detector takes note about each vehicle that enters the area. As long as the vehicle does not leave the area completely, its state is collected in each time step during the interval. Each vehicle state in this case is called a "data sample" and the output of a lane area detector is made up from all data samples of all vehicles within the are during the complete data collection ("freq") interval.

As a lane area detector covers a lane and vehicles are sorted on these, it is possible to recognize jams along the detector's area and measure them. Because more than one jam may take place at the area at one time, the values cover as well averaged measures of all jams ("jamLengthIn...Sum") as explicite measures of the longest (maximum) jam. For the longest jam, both averaged ("meanMaxJamLengthIn...") and maximum ("maxJamLengthIn...") values are written. [Note] Note

The jam length in meters may be more than a sum of the vehicles lengths, because the place between vehicle is also taken into account.

Besides jam computation, the durations vehicles are halting are collected. They are both collected over the whole time span a vehicle is on the detector area ("...HaltingDuration" and "haltingDurationSum"), and explicite for each interval ("...IntervalHaltingDuration" and "intervalHaltingDurationSum").

The values are described in the following table.

Name | Type | Description
--- | --- | ---
begin | (simulation) seconds | The first time step the values were collected in
end | (simulation) seconds | The last time step + DELTA_T the values were collected in (may be equal to begin)
id | id | The id of the detector (needed if several detectors share an output file)
nSamples | # | The number of data samples that could be collected. A "data sample" means the state of a vehicle that was on the detector area during one of the simulation steps of the interval described by this data line.
meanSpeed | m/s | The mean velocity over all collected data samples.
meanOccupancy | % | The percentage (0-100%) of the detector's place that was occupied by vehicles, summed up for each time step and averaged by the interval duration.
maxOccupancy | % | The maximum percentage (0-100%) of the detector's place that was occupied by vehicles during the interval.
meanMaxJamLengthInVehicles | #vehicles | The length of the longest jams recognized during each step, averaged over the interval duration. In vehicles that have contributed to these jams.
meanMaxJamLengthInMeters | m | As prior, but in meters (see notes)
maxJamLengthInVehicles | #vehicles | The length of the longest jam recognized during the interval duration. In vehicles that have contributed to this jams.
maxJamLengthInMeters | m | As prior, but in meters (see notes)
jamLengthInVehiclesSum | #vehicles | The sum of all lengths of all jams recognized during the interval. In vehicles that have contributed to these jams.
jamLengthInMetersSum | m | As prior, but in meters (see notes)
meanHaltingDuration | s | The mean halting duration of vehicles that entered the area and are still inside or have left the area within the reported interval.
maxHaltingDuration | s | The maximum halting duration of vehicles that entered the area and are still inside or have left the area within the reported interval.
haltingDurationSum | s | The sum of all halting durations of vehicles that entered the area and are still inside or have left the area within the reported interval.
meanIntervalHaltingDuration | s | The mean halting duration of vehicles that entered the area and are still inside or have left the area within the reported interval, counted from the interval's begin.
maxIntervalHaltingDuration | s | The maximum halting duration of vehicles that entered the area and are still inside or have left the area within the reported interval, counted from the interval's begin.
intervalHaltingDurationSum | s | The sum of all halting durations of vehicles that entered the area and are still inside or have left the area within the reported interval, counted from the interval's begin.
startedHalts | # | The number of started halts. Please note that during an interval a vehicle may stop halting and enter a new halting state.
meanVehicleNumber | # | The mean number of vehicles that were on the detector (averaged over the interval duration).
maxVehicleNumber | # | The maximum number of vehicles that were on the detector area during the interval.

## Further notes

- You can generate detector definitions automatically. See output tools for more information.

This page was last modified on 20 February 2012, at 09:24.